Process Facial Recognition And Liveness From Files

The purpose of this endpoint is to perform a comparison between two images - typically a selfie and an image taken from an identity document. The endpoint verifies whether the person in both images is the same and allows performing a liveness check on the selfie image.

POST /v1/Acuface/ProcessFacialRecognitionAndLivenessFromFiles

Parameters

NameInTypeRequiredDescription
traceIdquerystringoptionalA string provided by a programmer and echoed back unchanged in the response, designed to facilitate easier tracking of requests and responses.
checkForSelfieLivenessquerybooleanoptionalThe purpose of this field is to allow the user to decide whether to perform a liveness check on the submitted selfie image.

Request body

NameTypeRequiredDescription
portraitImagestring / binaryRequiredThe user's face image - typically extracted from an identity document.
selfieImagestring / binaryRequiredThe user's selfie image - this image will undergo a liveness check if such a check is requested.

Code sample language

curl -X POST "{{API.SANDBOX_BASE_URL}}/Acuface/ProcessFacialRecognitionAndLivenessFromFiles" \
  -H "x-api-key: YOUR_API_KEY" \
  -F "portraitImage=@portraitImage.jpg" \
  -F "selfieImage=@selfieImage.jpg"

Responses

200OK